﻿//////////////////////////////////////////////////////////////////////////////
//
//  Motion Pattern Builder  ( for FMCC32 )
//   Version = 3.25 (2023.11.16)
//   Description = [FMCC32ChkUSB]
//
//  Generate C# data source file.
//   name   = FMCC32_01.pcl
//   folder = X:\work\work\すてれ\xxx3
//   date   = 2023/11/16 14:01:49
//
//  NIPPON PULSE MOTOR Co., Ltd.
//
//////////////////////////////////////////////////////////////////////////////


namespace MP_Builder_Sample
{
    public class DataSample
    {

        ////////////////////////////////////////////////////////////////////
        // Ds : Device select number
        // AxisConts : number of axes
        // UseAxis : Axis designation state
        // 
        public byte Ds = 0;
        public int AxisConts = 1;
        public byte UseAxis = 0x01;
        //
        //Initialization data of RENV1 register
        public uint Renv1_ini = 0x008862C1;
        //Initialization data of RENV2 register
        public uint Renv2_ini = 0x00000000;
        //set data of Generic port 
        public uint[,] Port_set = new uint[,]
          {
            {
              0x18,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            },
            {
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            },
            {
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            },
            {
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            }
          };
        //General-purpose port reset data
        public uint[,] Port_reset = new uint[,]
          {
            {
              0x10,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            },
            {
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            },
            {
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            },
            {
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00,
              0x00
            }
          };

        ////////////////////////////////////////////////////////////////////
        //Data + start command
        //RegDat[DataNumber, axis, reg]
        public uint[,] RegDat= new uint[,]
           {
             // FlowNumber = 0 ======================
             {
               // X-axis -----------------------
                 0x00001388, // RMV
                 0x00000064, // RFL
                 0x00001388, // RFH1
                 0x000001F4, // RUR
                 0x00000063, // RDR
                 0x000004AF, // RMG
                 0x000000FE, // RDP
                 0x00000485, // RMD
                 0x43  // Start command
             },
             // FlowNumber = 1 ======================
             {
               // X-axis -----------------------
                 0x00001388, // RMV
                 0x00000064, // RFL
                 0x00001388, // RFH1
                 0x000001F4, // RUR
                 0x00000063, // RDR
                 0x000004AF, // RMG
                 0x000000FE, // RDP
                 0x00000495, // RMD
                 0x43  // Start command
             }
           };
    }
}
