﻿//////////////////////////////////////////////////////////////////////////////
//
//  Motion Pattern Builder  ( for FMCC32 )
//   Version = 3.25 (2023.11.16)
//   Description = [FMCC32ChkUSB]
//
//  Generate C# flow source file.
//   name   = FMCC32_01.pcl
//   folder = X:\work\work\すてれ\xxx3
//   date   = 2023/11/16 14:01:49
//
//  NIPPON PULSE MOTOR Co., Ltd.
//
//////////////////////////////////////////////////////////////////////////////

namespace MP_Builder_Sample
{
    public class FlowSample
    {
        ////////////////////////////////////////////////////////////////////
        //
        //FTDI open name
        public string Description = "FMCC32ChkUSB";
        //Control target name
        public string Targetname = "FMCC32";
        ////////////////////////////////////////////////////////////////////
        /// <summary>
        //Flowchart processing
        /// <summary>
        public int FlowChartExe(Form1 fm1)
        {
            // FlowNumber = 0 =====================
            fm1.hFlow.MotioneProcess(fm1, 0);

            // FlowNumber = 1 =====================
            fm1.hFlow.MotioneProcess(fm1, 1);

            // ====================================
            //Wait for completion of operation of all axes
            fm1.hFlow.WaitMotionEnd(fm1, 0, fm1.hDataSmp.UseAxis);

            // ====================================
            if (fm1.hFTDI.FlowData_stop == false)
            {
                //All actions completed
                return (0);
            }
            else
            {
                //interruption
                return (-1);
            }
        } // FlowChartExe()
    }
}
